const cvs = document.querySelector('canvas')
const ctx = cvs.getContext('2d')


function init() {
	/* 初始化画布大小 */
	cvs.width = window.innerWidth * devicePixelRatio;
	cvs.height = window.innerHeight * devicePixelRatio;
}
init();

/* 设置字体大小 */
const fontSize = 16 * devicePixelRatio;
console.log(fontSize);
ctx.font = `${fontSize}px Arial`
/* 计算列数量 */
const columnCount = Math.floor(cvs.width / fontSize);
console.log(columnCount);
const charIndex = new Array(columnCount).fill(0);
console.log(charIndex);
draw();

setInterval(()=>{
	draw();
},30)

function draw() {
	/* 设置绘制颜色 */
	ctx.fillStyle = 'rgba(0,0,0,.1)';
	ctx.fillRect(0, 0, cvs.width, cvs.height);
	ctx.textAlign = '';
	ctx.textBaseline = 'top';
	for (var i = 0; i < columnCount; i++) {
		ctx.fillStyle = getRandomColor();
		/* 绘制文字 */
		const txt = getRandomChar();
		const x = i * fontSize
		const y = charIndex[i] * fontSize
		ctx.fillText(txt, x, y);
		if (y > cvs.height && Math.random() > 0.99) {
			charIndex[i] = 0;
		} else {
			charIndex[i]++;
		}
	}

}

/* 获取随机颜色 */
function getRandomColor() {  
    var letters = '0123456789ABCDEF';  
    var color = '#';  
    for (var i = 0; i < 6; i++) {  
        color += letters[Math.floor(Math.random() * 16)];  
    }  
    return color;  
}  
  

function getRandomChar() {
	const str = '田小檬';
	return str[Math.floor(Math.random() * str.length)];
}